Show / Hide Table of Contents

# Class Framework

##### Inheritance

System.Object
Framework

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Framework : IDisposable

### Constructors

#### Framework(SigScanner, Dalamud)

##### Declaration

    public Framework(SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |
Dalamud.Dalamud | dalamud |

### Properties

#### Gui

##### Declaration

    public GameGui Gui { get; }

##### Property Value

Type | Description
--- | ---
GameGui |

#### Libc

##### Declaration

    public LibcFunction Libc { get; }

##### Property Value

Type | Description
--- | ---
LibcFunction |

#### Network

##### Declaration

    public GameNetwork Network { get; }

##### Property Value

Type | Description
--- | ---
GameNetwork |

### Methods

#### Dispose()

##### Declaration

    public void Dispose()

#### Enable()

##### Declaration

    public void Enable()

### Events

#### OnUpdateEvent

##### Declaration

    public event Framework.OnUpdateDelegate OnUpdateEvent

##### Event Type

Type | Description
--- | ---
Framework.OnUpdateDelegate |

### Implements

System.IDisposable